[lfs-support] LFS-7.2 host system tar version

William Harrington berzerkula at cox.net
Fri Nov 23 16:52:01 PST 2012


On Nov 23, 2012, at 6:33 PM, nettxzl wrote:

> (Sorry if this comes through twice. My first attempt seems to have  
> vanished.)
>
> Hi,
>
> I was starting the gcc-4.7.1 (Pass 1) build in Chap. 5 and I was
> trying to unpack the files compressed with xz following the command
> given there:
>
> tar -Jxf ../mpfr-3.1.1.tar.xz
>
> but I got this error message:
>
> tar: invalid option -- J

Tar has been able to auto-detect the compression method based on the  
extension since

as per changelog

2009-09-08  Sergey Poznyakoff  <gray at gnu.org.ua>

     Automatic detection of seekable archives.
     * src/buffer.c (guess_seekable_archive): New function.
     (_open_archive): Call guess_seekable_archive for archives
     open for reading.
     (new_volume): Likewise.
     * src/common.h (seek_option): New global.
     * src/tar.c (options): New option --no-seek.
     (parse_opt): --seek and --no-seek set seek_option,
     not seekable_archive.
     (decode_options): Initialize seek_option to -1.

2007-10-17  Sergey Poznyakoff  <gray at gnu.org.ua>

     * src/suffix.c: New file. Compress format detection by archive
     suffix (when creating). Suggested by Jean-Pierre Demailly.
     * src/Makefile.am: Add suffix.c
     * src/buffer.c (magic): Add an entry for new lzma format. Proposed
     by Lasse Collin.
     * src/common.h (set_comression_program_by_suffix): New prototype.
     * src/tar.c: New options --auto-compress (-a) and --lzma
     * THANKS: Add Lasse Collin and Jean-Pierre Demailly.
     * NEWS: Update
     * doc/tar.texi: Update

Current host system requirements require tar 1.18  which includes all  
the above. So what's the issue? Tar 1.18 was released after June 2007.  
And it includes all the above changes.

Sincerely,

William Harrington



More information about the lfs-support mailing list